%define oname   net-scp

Name:       ruby-%{oname}
Version:    4.0.0
Release:    %mkrel 1
Summary:    A pure Ruby implementation of the SCP client protocol
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/net-ssh/net-scp
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(net-ssh)
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(test-unit)
BuildArch:  noarch

%description
A pure Ruby implementation of the SCP client protocol.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup
perl -pi -e 's|s.signing_key = "/mnt/gem/gem-private_key.pem"||' net-scp.gemspec

%build
%gem_build

%install
%gem_install



%changelog
* Thu Mar 30 2023 daviddavid <daviddavid> 4.0.0-1.mga9
+ Revision: 1950895
- new version: 4.0.0 (final)

* Mon Aug 01 2022 bcornec <bcornec> 4.0.0.rc1-1.mga9
+ Revision: 1874165
- Update to ruby-net-scp 4.0.0.rc1 to support net-ssh 7

* Sun Jul 31 2022 bcornec <bcornec> 3.0.0-2.mga9
+ Revision: 1873758
- Fix URL

* Tue May 03 2022 pterjan <pterjan> 3.0.0-1.mga9
+ Revision: 1855729
- Update to 3.0.0

* Sat Mar 26 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1827450
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 2.0.0-1.mga8
+ Revision: 1561517
- Update to 2.0.0

* Wed Feb 12 2020 umeabot <umeabot> 1.2.1-5.mga8
+ Revision: 1499878
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.1-4.mga7
+ Revision: 1275159
- Mageia 7 Mass Rebuild

* Tue Feb 21 2017 bcornec <bcornec> 1.2.1-3.mga6
+ Revision: 1087140
- and bump tag
- Removing the usage of gem-private_key.pem to allow build to work

* Mon Oct 31 2016 pterjan <pterjan> 1.2.1-2.mga6
+ Revision: 1064358
- Use gem_setup macro

* Sat Aug 06 2016 neoclust <neoclust> 1.2.1-1.mga6
+ Revision: 1044816
- imported package ruby-net-scp

